QCad(1)

NAME
qcad - A feature-rich drafting application

SYNOPSIS
qcad [ options ] [ files ]

DESCRIPTION
QCAD is a free, open source application for Computer Aided Drafting (CAD) in two dimensions (2D). With QCAD you can create, study and alter technical drawings such as plans for buildings, interiors, mechanical parts or schematics and diagrams. QCAD builds upon the Drawing Interchange File Format. Such DXF-files are used by many other professional CAD-systems.

QCAD works on Windows, Mac OS X and Linux. The source code of QCAD is released under the GPL version 3 (GPLv3), a popular Open Source license.

OPTIONS

-help
    Displays this help.

-version
    Displays the application version.

-config path
    Reads and stores settings to QCAD3.ini at the given location instead of the default location.

-locale locale
    Sets the locale to be used (overrides the language set in the preferences). E.g. '-locale de' starts QCAD in German.

-filter filter
    Opens the subsequent file(s) with the explicitly given import filter.

-allow-multiple-instances
    Don't try to avoid multiple instances from running simultaneously.

-app-id ID
    Set application ID. Multiple instances of the same application (same ID) cannot run simultaneously unless -allow-multiple-instances is used.

-rescan
    Rescan scripts folder for new add-ons

-always-load-scripts
    Forces reloading of scripts when they are used. This is mainly useful during script development, to apply changes without restarting QCAD.

-enable-script-debugger
    Enables the script debugger. NOT recommended as this may cause unexpected behavior when using QCAD.

-debug-action-order
    Print action order information in menus

-autostart script-file
    Starts the given script file instead of the default scripts/autostart.js. Note that with this option, QCAD is not started but rather the application implemented in the given script.

-exec script-file [ options ]
    Executes the given script file directly after starting QCAD. Options after the script file are passed on to the script.

-gui-css-file CSS-file
    Loads the specified CSS file.

-no-gui
    Don't use GUI. X11: don't connect to X11 server.

-no-show
    Use but don't display GUI.

-enable-xdata
    Enables XData (custom properties) support.

-quit
    Quits QCAD, for example after executing the given script(s).

COPYRIGHT
Copyright (c) Andrew Mustun and others.